Package org.opensaml.saml.common.profile.logic

# Class EntityAttributesPredicate.Candidate

java.lang.Object
org.opensaml.saml.common.profile.logic.EntityAttributesPredicate.Candidate

Enclosing class:
  EntityAttributesPredicate

public static class EntityAttributesPredicate.Candidate extends Object
An object to encapsulate the set of criteria that must be satisfied by an `EntityAttributes` extension to satisfy the enclosing predicate.

All of the value and regular expression criteria provided must match for the individual object's result to be "true".

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`nam`
Attribute Name.
`private final String`
`nameFormat`
Attribute NameFormat.
`private List<Pattern>`
`regexps`
Regular expressions that must be satisfied.
`private List<String>`
`values`
Values that must match exactly.

## Constructor Summary

Constructors
Constructor
Description
`Candidate(String name)`
Constructor.
`Candidate(String name, String format)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the Attribute Name to match.
`String`
`getNameFormat()`
Get the Attribute NameFormat to match.
`List<Pattern>`
`getRegexps()`
Get the regular expressions to match.
`List<String>`
`getValues()`
Get the exact values to match.
`void`
`setRegexps(Collection<Pattern> exps)`
Set the regular expressions to match.
`void`
`setValues(Collection<String> vals)`
Set the exact values to match.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nam

@Nonnull @NotEmpty private final String nam
Attribute Name.

### nameFormat

@Nullable private final String nameFormat
Attribute NameFormat.

### values

@Nonnull private List<String> values
Values that must match exactly.

### regexps

@Nonnull private List<Pattern> regexps
Regular expressions that must be satisfied.

## Constructor Details

### Candidate

public Candidate(@Nonnull @NotEmpty @ParameterName(name="name") String name)
Constructor.

Parameters:
  `name` - Attribute Name to match

### Candidate

public Candidate(@Nonnull @NotEmpty @ParameterName(name="name") String name, @Nullable @ParameterName(name="format") String format)
Constructor.

Parameters:
  `name` - Attribute Name to match
  `format` - Attribute NameFormat to match

## Method Details

### getName

@Nonnull @NotEmpty public String getName()
Get the Attribute Name to match.

Returns:
  Attribute Name to match

### getNameFormat

@Nullable public String getNameFormat()
Get the Attribute NameFormat to match.

Returns:
  Attribute NameFormat to match

### getValues

@Nonnull @Unmodifiable @NotLive public List<String> getValues()
Get the exact values to match.

Returns:
  the exact values to match

### setValues

public void setValues(@Nonnull Collection<String> vals)
Set the exact values to match.

Parameters:
  `vals` - the exact values to match

### getRegexps

@Nonnull @Unmodifiable @NotLive public List<Pattern> getRegexps()
Get the regular expressions to match.

Returns:
  the regular expressions to match.

### setRegexps

public void setRegexps(@Nonnull Collection<Pattern> exps)
Set the regular expressions to match.

Parameters:
  `exps` - the regular expressions to match